Name:       avisynthplus
Version:    3.7.0
#21-06-2021
Release:    1%{?dist}
Summary:    AviSynth - A powerful tool for video post-production.
Group:      System Environment/Libraries
License:    ISC
URL:        http://avisynth.nl
%undefine   _disable_source_fetch
Source0:    https://github.com/AviSynth/AviSynthPlus/archive/master.zip
Packager: 	%packager
BuildRequires: cmake3,ninja-build
%if 0%{?rhel} == 7
BuildRequires: la-git
BuildRequires: devtoolset-9-gcc-c++
%endif
%if 0%{?rhel} == 8
BuildRequires: git
BuildRequires: gcc, libgcc, glibc-devel, zlib-devel, gcc-c++, make
%endif


%define debug_package %nil

%description
AviSynth is a powerful tool for video post-production. It provides ways of editing and processing videos. AviSynth works as a frameserver, providing instant editing without the need for temporary files. AviSynth itself does not provide a graphical user interface (GUI), but instead relies on a script system that allows advanced non-linear editing. While this may at first seem tedious and unintuitive, it is remarkably powerful and is a very good way to manage projects in a precise, consistent, and reproducible manner. Because text-based scripts are human readable, projects are inherently self-documenting. The scripting language is simple yet powerful, and complex filters can be created from basic operations to develop a sophisticated palette of useful and unique effects. 

%prep

%setup -q -n AviSynthPlus-master

%build
%if 0%{?rhel} == 7
export CC=/opt/rh/devtoolset-9/root/bin/gcc
export CXX=/opt/rh/devtoolset-9/root/bin/g++
%endif

mkdir build
pushd build
cmake3 -DCMAKE_INSTALL_PREFIX=/usr \
   -DENABLE_INTEL_SIMD=ON \
   ../ -G Ninja
ninja %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ninja -C build install

#x264 looking up this file libavxsynth.so
cp $RPM_BUILD_ROOT/usr/lib64/libavisynth.so $RPM_BUILD_ROOT/usr/lib64/libavxsynth.so

#%post
#if [ $1 == 1 ];then
#       #installed
#fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
#%license LICENSE
/usr/include/avisynth/avisynth.h
/usr/include/avisynth/avisynth_c.h
/usr/include/avisynth/avs/alignment.h
/usr/include/avisynth/avs/capi.h
/usr/include/avisynth/avs/config.h
/usr/include/avisynth/avs/cpuid.h
/usr/include/avisynth/avs/filesystem.h
/usr/include/avisynth/avs/minmax.h
/usr/include/avisynth/avs/posix.h
/usr/include/avisynth/avs/types.h
/usr/include/avisynth/avs/win.h
/usr/lib64/avisynth/libconvertstacked.so
/usr/lib64/avisynth/libshibatch.so
/usr/lib64/avisynth/libtimestretch.so
/usr/lib64/libavxsynth.so
/usr/lib64/libavisynth.so
/usr/lib64/libavisynth.so.3.7.0
/usr/lib64/libavisynth.so.8
/usr/lib64/pkgconfig/avisynth.pc